package com.jz.dmp.modules.controller.DataIntegration.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 保存数据源配置(DmpSyncingDatasource)实体类
 *
 * @author Bellamy
 * @since 2020-12-21 17:47:18
 */
@ApiModel(value = "数据源配置", description = "数据源配置")
public class DmpSyncingDatasourceReq implements Serializable {
    private static final long serialVersionUID = 588846270711686919L;
    /**
     * 数据源ID
     */
    @ApiModelProperty(value = "数据源ID")
    private String datasourceId;
    /**
     * 数据源类型ID
     */
    @ApiModelProperty(value = "数据源类型ID")
    private String datasourceType;
    /**
     * 数据源名称
     */
    @NotNull(message = "数据源名称不能为空")
    @NotEmpty(message = "数据源名称不能为空")
    @ApiModelProperty(value = "数据源名称")
    private String datasourceName;
    /**
     * 数据源描述
     */
    @ApiModelProperty(value = "数据源描述")
    private String datasourceDesc;
    /**
     * JDBC URL
     */
    @NotNull(message = "JDBC URL不能为空")
    @NotEmpty(message = "JDBC URL不能为空")
    @ApiModelProperty(value = "JDBC URL")
    private String jdbcUrl;
    /**
     * 数据库名
     */
    @ApiModelProperty(value = "数据库名")
    private String dbName;
    /**
     * 账号
     */
    @NotNull(message = "账号不能为空")
    @NotEmpty(message = "账号不能为空")
    @ApiModelProperty(value = "账号")
    private String userName;
    /**
     * 密码
     */
    @NotNull(message = "密码不能为空")
    @NotEmpty(message = "密码不能为空")
    @ApiModelProperty(value = "密码")
    private String password;
    /**
     * 终端信息
     */
    @ApiModelProperty(value = "终端信息")
    private String endpoint;
    /**
     * Bucket信息
     */
    @ApiModelProperty(value = "Bucket信息")
    private String bucket;
    /**
     * accessId
     */
    @ApiModelProperty(value = "accessId")
    private String accessId;
    /**
     * accessKey
     */
    @ApiModelProperty(value = "accessKey")
    private String accessKey;
    /**
     * FTP协议
     */
    @ApiModelProperty(value = "FTP协议")
    private String protocol;
    /**
     * IP
     */
    @ApiModelProperty(value = "Bucket信息")
    private String host;
    /**
     * 端口
     */
    @ApiModelProperty(value = "端口")
    private String port;
    /**
     * NameNode地址
     */
    @ApiModelProperty(value = "NameNode地址")
    private String defaultFs;
    /**
     * 表空间
     */
    @ApiModelProperty(value = "表空间")
    private String tableSchema;

    /**
     * 项目ID
     */
    @ApiModelProperty(value = "项目ID")
    private String projectId;

    private String delimiter;

    private String isHaveHeader;

    @ApiModelProperty(value = "网络连接类型")
    private String networkConnectionType;

    public String getDatasourceId() {
        return datasourceId;
    }

    public void setDatasourceId(String datasourceId) {
        this.datasourceId = datasourceId;
    }

    public String getDatasourceType() {
        return datasourceType;
    }

    public void setDatasourceType(String datasourceType) {
        this.datasourceType = datasourceType;
    }

    public String getDatasourceName() {
        return datasourceName;
    }

    public void setDatasourceName(String datasourceName) {
        this.datasourceName = datasourceName;
    }

    public String getDatasourceDesc() {
        return datasourceDesc;
    }

    public void setDatasourceDesc(String datasourceDesc) {
        this.datasourceDesc = datasourceDesc;
    }

    public String getJdbcUrl() {
        return jdbcUrl;
    }

    public void setJdbcUrl(String jdbcUrl) {
        this.jdbcUrl = jdbcUrl;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getEndpoint() {
        return endpoint;
    }

    public void setEndpoint(String endpoint) {
        this.endpoint = endpoint;
    }

    public String getBucket() {
        return bucket;
    }

    public void setBucket(String bucket) {
        this.bucket = bucket;
    }

    public String getAccessId() {
        return accessId;
    }

    public void setAccessId(String accessId) {
        this.accessId = accessId;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getDefaultFs() {
        return defaultFs;
    }

    public void setDefaultFs(String defaultFs) {
        this.defaultFs = defaultFs;
    }

    public String getTableSchema() {
        return tableSchema;
    }

    public void setTableSchema(String tableSchema) {
        this.tableSchema = tableSchema;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getDelimiter() {
        return delimiter;
    }

    public void setDelimiter(String delimiter) {
        this.delimiter = delimiter;
    }

    public String getIsHaveHeader() {
        return isHaveHeader;
    }

    public void setIsHaveHeader(String isHaveHeader) {
        this.isHaveHeader = isHaveHeader;
    }

    public String getNetworkConnectionType() {
        return networkConnectionType;
    }

    public void setNetworkConnectionType(String networkConnectionType) {
        this.networkConnectionType = networkConnectionType;
    }
}