package com.jz.dmp.modules.service;

import com.jz.dmp.modules.model.DvTaskRuleT;

import java.util.List;

/**
 * 任务与规则关系表(DvTaskRuleT)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-30 15:17:32
 */
public interface DvTaskRuleTService {

    /**
     * 通过ID查询单条数据
     *
     * @param taskRuleId 主键
     * @return 实例对象
     */
    DvTaskRuleT queryById(Long taskRuleId);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<DvTaskRuleT> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param dvTaskRuleT 实例对象
     * @return 实例对象
     */
    DvTaskRuleT insert(DvTaskRuleT dvTaskRuleT);

    /**
     * 修改数据
     *
     * @param dvTaskRuleT 实例对象
     * @return 实例对象
     */
    DvTaskRuleT update(DvTaskRuleT dvTaskRuleT);

    /**
     * 通过主键删除数据
     *
     * @param taskRuleId 主键
     * @return 是否成功
     */
    boolean deleteById(Long taskRuleId);

    void saveRule(List<DvTaskRuleT> list)throws Exception;
}